Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361029 - [RFE] Allow customizing colors of the iptraf-ng TUI
Summary: [RFE] Allow customizing colors of the iptraf-ng TUI
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: iptraf-ng
Version: 24
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Alejandro_Perez
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-28 08:05 UTC by Zdenek Sedlak
Modified: 2017-08-08 15:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:56:33 UTC


Attachments (Terms of Use)

Description Zdenek Sedlak 2016-07-28 08:05:46 UTC
Description of problem:
Today, the iptraf-ng uses hard-coded color scheme for the interface. The user ha only options to disable or enable colors. This works well when the standard Linux terminal colors are used. When switching to e.g. Solarized/Dark pastels, the colors become blur-ish and unreadable. Even if the user disable colors, the interface is ugly somehow.

Would it be possible to move the hard-coded code block from src/iptraf.c to an either separate file or function, thus allowing the user to modify the color scheme, or define a completely new one?

Version-Release number of selected component (if applicable):

iptraf-ng-1.1.4-12.fc24.x86_64

How reproducible: Can this bug always be reproduced, or only reproduced occasionally.

    always


Actual results: 

Useri only allowed to enable/disable the predefined color scheme.

Expected results: 

Customizable color scheme, either in form of configuration/theme file (preferred) of user interface.

Comment 1 Phil Cameron 2016-08-26 14:55:43 UTC
Thanks for the suggestion. I am a new maintainer and it didn't occur to me to configure colors. You sound like you know the internals. You are invited to become a contributor. If you are interested in doing a patch let me know. It will take a while for me to get to this.
Phil

Comment 2 Zdenek Sedlak 2016-08-27 07:52:24 UTC
Thanks Phil ans welcome!

I will check the source code and see what I can do...

Comment 3 Fedora End Of Life 2017-07-25 22:06:08 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-08-08 15:56:33 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.